
addpath(strcat(pwd(), '\Parameters'));
addpath(strcat(pwd(), '\Trajectory'));
addpath(strcat(pwd(), '\System'));

init_parameters;
init_trajectory('roundabout');

endTime = 5;

clear A
for i = 1:100; A(i,:,:) = Aaux_r1((i-1)/100*Theta(endTime));end
figure(232);
hold on
t = linspace(0,Theta(endTime),100);
for i = 1:5
    for j = 1:5
        plot(t,A(:,i,j))
    end
end
xlabel('\theta');

clear B
for i = 1:100; B(i,:,:) = Baux_r1((i-1)/100*Theta(endTime));end
figure(233);
hold on
t = linspace(0,Theta(endTime),100);
for i = 1:5
    for j = 1:3
        plot(t,B(:,i,j))
    end
end
xlabel('\theta');
figure(234);
hold on
t = linspace(0,endTime,100);
plot(t,phi1(Theta(t)), 'r');
plot(t,phi2(Theta(t)), 'g');
plot(t,phi3(Theta(t)), 'b');
legend('\phi_1(\theta)','\phi_2(\theta)','\phi_3(\theta)');
xlabel('Time (s)');