function mat = Baux_r1(theta)


Dtheta = DTheta(theta);
DDtheta = DDTheta(theta);

global a d g gravity m1 m2 m3 m load c1x c2x c2y c3z 
global l r1 r2 r3 h1 h2 h3 xx1 xx2 xx3 yy1 yy2 yy3 zz1 zz2 zz3
global Iota xxl yyl zzl x y z Kd1 Kd2 Kd3 Kp1 Kp2 Kp3

phd1 = phi1(theta);
phd2 = phi2(theta);
phd3 = phi3(theta);

dphd1 = dphi1(theta);
dphd2 = dphi2(theta);
dphd3 = dphi3(theta);

mat = [-0.4e1 * Dtheta / dphd1 / m(3) / (cos((2 * phd2 + 2 * phd3)) * Iota(xx3) - cos((2 * phd2 + 2 * phd3)) * Iota(zz3) + cos((2 * phd2 + 2 * phd3)) * l(c3z) ^ 2 + 0.4e1 * a(1) * l(c3z) * cos((phd2 + phd3)) + Iota(xx3) + Iota(zz3) + 0.2e1 * l(c3z) * a(2) * sin((phd3 + 2 * phd2)) + a(2) ^ 2 - 0.2e1 * l(c3z) * a(2) * sin(phd3) - a(2) ^ 2 * cos((2 * phd2)) + 0.2e1 * a(1) ^ 2 + l(c3z) ^ 2 + 0.4e1 * a(2) * sin(phd2) * a(1)) 0 0; 0 0 0; 0 0 0; -dphd2 / dphd1 / m(3) / (((-0.2e1 * Iota(zz3) + 0.2e1 * Iota(xx3) + 0.2e1 * l(c3z) ^ 2) * cos(phd3) ^ 2 - Iota(xx3) + Iota(zz3) + 0.2e1 * l(c3z) * a(2) * sin(phd3) - a(2) ^ 2 - l(c3z) ^ 2) * cos(phd2) ^ 2 + 0.2e1 * cos(phd3) * (((Iota(zz3) - Iota(xx3) - l(c3z) ^ 2) * sin(phd3) + l(c3z) * a(2)) * sin(phd2) + a(1) * l(c3z)) * cos(phd2) + (Iota(zz3) - Iota(xx3) - l(c3z) ^ 2) * cos(phd3) ^ 2 + 0.2e1 * a(1) * (-l(c3z) * sin(phd3) + a(2)) * sin(phd2) + a(1) ^ 2 + a(2) ^ 2 + Iota(xx3) + l(c3z) ^ 2 - 0.2e1 * l(c3z) * a(2) * sin(phd3)) (-Iota(yy3) - l(c3z) ^ 2) / m(3) / a(2) ^ 2 / (-Iota(yy3) - l(c3z) ^ 2 + l(c3z) ^ 2 * sin(phd3) ^ 2) (Iota(yy3) - l(c3z) * a(2) * sin(phd3) + l(c3z) ^ 2) / m(3) / a(2) ^ 2 / (-Iota(yy3) - l(c3z) ^ 2 + l(c3z) ^ 2 * sin(phd3) ^ 2); -dphd3 / dphd1 / m(3) / (((-0.2e1 * Iota(zz3) + 0.2e1 * Iota(xx3) + 0.2e1 * l(c3z) ^ 2) * cos(phd3) ^ 2 - Iota(xx3) + Iota(zz3) + 0.2e1 * l(c3z) * a(2) * sin(phd3) - a(2) ^ 2 - l(c3z) ^ 2) * cos(phd2) ^ 2 + 0.2e1 * cos(phd3) * (((Iota(zz3) - Iota(xx3) - l(c3z) ^ 2) * sin(phd3) + l(c3z) * a(2)) * sin(phd2) + a(1) * l(c3z)) * cos(phd2) + (Iota(zz3) - Iota(xx3) - l(c3z) ^ 2) * cos(phd3) ^ 2 + 0.2e1 * a(1) * (-l(c3z) * sin(phd3) + a(2)) * sin(phd2) + a(1) ^ 2 + a(2) ^ 2 + Iota(xx3) + l(c3z) ^ 2 - 0.2e1 * l(c3z) * a(2) * sin(phd3)) (Iota(yy3) - l(c3z) * a(2) * sin(phd3) + l(c3z) ^ 2) / m(3) / a(2) ^ 2 / (-Iota(yy3) - l(c3z) ^ 2 + l(c3z) ^ 2 * sin(phd3) ^ 2) (-Iota(yy3) - a(2) ^ 2 + 0.2e1 * l(c3z) * a(2) * sin(phd3) - l(c3z) ^ 2) / m(3) / a(2) ^ 2 / (-Iota(yy3) - l(c3z) ^ 2 + l(c3z) ^ 2 * sin(phd3) ^ 2);];
end
