function mat = Mass_without_load(q)
q1 = q(1);
q2 = q(2);
q3 = q(3);

global a d g gravity m1 m2 m3 m load c1x c2x c2y c3z 
global l r1 r2 r3 h1 h2 h3 xx1 xx2 xx3 yy1 yy2 yy3 zz1 zz2 zz3
global Iota xxl yyl zzl x y z Kd1 Kd2 Kd3 Kp1 Kp2 Kp3

mat = [m(3) * (Iota(zz3) * cos(q2) ^ 2 + Iota(xx3) + a(1) ^ 2 - a(2) ^ 2 * cos(q2) ^ 2 + a(2) ^ 2 + 0.2e1 * a(2) * sin(q2) * a(1) - 0.2e1 * l(c3z) ^ 2 * cos(q2) * sin(q3) * sin(q2) * cos(q3) + 0.2e1 * l(c3z) ^ 2 * cos(q2) ^ 2 * cos(q3) ^ 2 + l(c3z) ^ 2 - l(c3z) ^ 2 * cos(q2) ^ 2 - l(c3z) ^ 2 * cos(q3) ^ 2 + 0.2e1 * l(c3z) * a(2) * cos(q2) * sin(q2) * cos(q3) - 0.2e1 * l(c3z) * a(2) * sin(q3) + 0.2e1 * l(c3z) * a(2) * cos(q2) ^ 2 * sin(q3) - 0.2e1 * l(c3z) * sin(q2) * sin(q3) * a(1) + 0.2e1 * l(c3z) * cos(q2) * cos(q3) * a(1) - 0.2e1 * Iota(xx3) * cos(q2) * sin(q3) * sin(q2) * cos(q3) + 0.2e1 * Iota(zz3) * cos(q2) * sin(q3) * sin(q2) * cos(q3) + 0.2e1 * Iota(xx3) * cos(q2) ^ 2 * cos(q3) ^ 2 + Iota(zz3) * cos(q3) ^ 2 - 0.2e1 * Iota(zz3) * cos(q3) ^ 2 * cos(q2) ^ 2 - Iota(xx3) * cos(q3) ^ 2 - Iota(xx3) * cos(q2) ^ 2) 0 0; 0 m(3) * (Iota(yy3) + a(2) ^ 2 + l(c3z) ^ 2 - 0.2e1 * l(c3z) * a(2) * sin(q3)) m(3) * (Iota(yy3) + l(c3z) ^ 2 - l(c3z) * a(2) * sin(q3)); 0 m(3) * (Iota(yy3) + l(c3z) ^ 2 - l(c3z) * a(2) * sin(q3)) m(3) * (Iota(yy3) + l(c3z) ^ 2);];
end