function dx = fct_circle1(t,x)
    % Valid from 
    th = invphi1(x(1),1);
    y = ChangeVariables1(x,th);
    v = fct_tl_control(th, y);
    
    u = feedbacktransformation(x, v, th);

    dx = fct_without_load_sys(x,u);
end

function v = fct_tl_control(th, y)
    global Q1 R1 F1
    persistent S1
    if isempty(S1)
        global Q R
        Q = Q1;
        R = R1;
        
        %S1 = SolveRiccati1(3*pi/4+0.2, pi/5-0.2, F1);
        S1 = SolveRiccati1(3*pi/4+0.2, 0.4, F1);
    end
    B = Baux_r1(th);
    Ss = reshape(ppval(S1, th),5,5);
    L = R1\B'*Ss;
    v = L*y;
end