function plot_robot(q,c)

    global ricR ricxc ricyc riczc ricd1 rica1 rica2 rica3 ricmaxThValue endTime

    %t = linspace(0,15,150)';
    t = linspace(0,endTime,150)';
    q1 = phi1(Theta(t));
    q2 = phi2(Theta(t));
    q3 = phi3(Theta(t));
    desiredtrack = [(cos(q1) .* cos(q2) - sin(q1) .* cos(pi ./ 0.2e1) .* sin(q2)) .* rica3 .* cos(q3) + (-cos(q1) .* sin(q2) - sin(q1) .* cos(pi ./ 0.2e1) .* cos(q2)) .* rica3 .* sin(q3) + cos(q1) .* rica2 .* cos(q2) - sin(q1) .* cos(pi ./ 0.2e1) .* rica2 .* sin(q2) + cos(q1) .* rica1 (sin(q1) .* cos(q2) + cos(q1) .* cos(pi ./ 0.2e1) .* sin(q2)) .* rica3 .* cos(q3) + (-sin(q1) .* sin(q2) + cos(q1) .* cos(pi ./ 0.2e1) .* cos(q2)) .* rica3 .* sin(q3) + sin(q1) .* rica2 .* cos(q2) + cos(q1) .* cos(pi ./ 0.2e1) .* rica2 .* sin(q2) + sin(q1) .* rica1 -sin(pi ./ 0.2e1) .* sin(q2) .* rica3 .* cos(q3) - sin(pi ./ 0.2e1) .* cos(q2) .* rica3 .* sin(q3) - sin(pi ./ 0.2e1) .* rica2 .* sin(q2) + ricd1]';
    hdesiredtrack = plot3(desiredtrack(1,:), desiredtrack(2,:), desiredtrack(3,:), 'b');    
    hold on 
    
    prev = [1,0];
    if nargin == 1
    c = [size(q,1), 1];
    end
    
    for i = 1:size(c,1)
        cc = c(i,:);
        qq = q(prev(1):cc(1), 1:3);

        pp = interp1(linspace(0,1,size(qq,1)), qq, 'pchip', 'pp');
        qq = ppval(pp, linspace(0,1,150));
        
        q1 = qq(:,1);
        q2 = qq(:,2);
        q3 = qq(:,3);
        track = [(cos(q1) .* cos(q2) - sin(q1) .* cos(pi ./ 0.2e1) .* sin(q2)) .* rica3 .* cos(q3) + (-cos(q1) .* sin(q2) - sin(q1) .* cos(pi ./ 0.2e1) .* cos(q2)) .* rica3 .* sin(q3) + cos(q1) .* rica2 .* cos(q2) - sin(q1) .* cos(pi ./ 0.2e1) .* rica2 .* sin(q2) + cos(q1) .* rica1 (sin(q1) .* cos(q2) + cos(q1) .* cos(pi ./ 0.2e1) .* sin(q2)) .* rica3 .* cos(q3) + (-sin(q1) .* sin(q2) + cos(q1) .* cos(pi ./ 0.2e1) .* cos(q2)) .* rica3 .* sin(q3) + sin(q1) .* rica2 .* cos(q2) + cos(q1) .* cos(pi ./ 0.2e1) .* rica2 .* sin(q2) + sin(q1) .* rica1 -sin(pi ./ 0.2e1) .* sin(q2) .* rica3 .* cos(q3) - sin(pi ./ 0.2e1) .* cos(q2) .* rica3 .* sin(q3) - sin(pi ./ 0.2e1) .* rica2 .* sin(q2) + ricd1]';
        colors = {'r', 'g', 'y', 'c'};
        htrack = plot3(track(1,:), track(2,:), track(3,:), colors{cc(2)}, 'LineWidth', 3);
        
        prev = cc;
    end
    
    qq = q(:,1:3);
    pp = interp1(linspace(0,1,size(qq,1)), qq, 'pchip', 'pp');
    qq = ppval(pp, linspace(0,1,150));
    
    q1 = qq(:,1);
    q2 = qq(:,2);
    q3 = qq(:,3);

    axis([-800 800 -800 800 -200 1000]);
    uicontrol('Style','pushbutton','String','Animate',...
              'Callback',@animate,...
              'Units','Normalized','Position',[0.9 0.8 0.1 0.1]);    
%     
%     uicontrol('Style', 'slider',...
%         'Min',0,'Max',endTime,'Value',endTime/2,...
%         'Position', [0.9 0.7 0.1 0.1],...
%         'Callback', {@set_position}); 

    uicontrol('Style', 'slider','String', 'k','Units', 'Normalized','Position', ...
              [0.9 0.7 0.1 0.1],'Callback', 'slider','Callback', {@set_position});
    
    x = [];
    om = [];
    o1 = [];
    o2 = [];
    endeffector = [];
    
    q1 = qq(1,1);
    q2 = qq(1,2);
    q3 = qq(1,3);
    

    function set_position(hObj,event) 
        val = get(hObj,'Value');
        val = ceil(val * (size(qq,1)-1))+1;
        fprintf('val %f\n', val)
        q1 = qq(val,1);
        q2 = qq(val,2);
        q3 = qq(val,3);
        
        om = [0 0 ricd1]';
        o1 = [cos(q1) * rica1 sin(q1) * rica1 ricd1]';
        o2 = [cos(q1) * rica2 * cos(q2) - sin(q1) * cos(pi / 0.2e1) * rica2 * sin(q2) + cos(q1) * rica1 sin(q1) * rica2 * cos(q2) + cos(q1) * cos(pi / 0.2e1) * rica2 * sin(q2) + sin(q1) * rica1 -sin(pi / 0.2e1) * rica2 * sin(q2) + ricd1]';
        endeffector = [(cos(q1) * cos(q2) - sin(q1) * cos(pi / 0.2e1) * sin(q2)) * rica3 * cos(q3) + (-cos(q1) * sin(q2) - sin(q1) * cos(pi / 0.2e1) * cos(q2)) * rica3 * sin(q3) + cos(q1) * rica2 * cos(q2) - sin(q1) * cos(pi / 0.2e1) * rica2 * sin(q2) + cos(q1) * rica1 (sin(q1) * cos(q2) + cos(q1) * cos(pi / 0.2e1) * sin(q2)) * rica3 * cos(q3) + (-sin(q1) * sin(q2) + cos(q1) * cos(pi / 0.2e1) * cos(q2)) * rica3 * sin(q3) + sin(q1) * rica2 * cos(q2) + cos(q1) * cos(pi / 0.2e1) * rica2 * sin(q2) + sin(q1) * rica1 -sin(pi / 0.2e1) * sin(q2) * rica3 * cos(q3) - sin(pi / 0.2e1) * cos(q2) * rica3 * sin(q3) - sin(pi / 0.2e1) * rica2 * sin(q2) + ricd1]';
        
        
        xdata = [0, om(1), o1(1), o2(1), endeffector(1)];
        ydata = [0, om(2), o1(2), o2(2), endeffector(2)];
        zdata = [0, om(3), o1(3), o2(3), endeffector(3)];
        hlink = line(xdata,ydata,zdata);
        set(hlink, 'Color', [0, 0, 0], 'LineWidth', 2);
    
    end

    function animate(gg,gg1)

    om = [0 0 ricd1]';
    o1 = [cos(q1) * rica1 sin(q1) * rica1 ricd1]';
    o2 = [cos(q1) * rica2 * cos(q2) - sin(q1) * cos(pi / 0.2e1) * rica2 * sin(q2) + cos(q1) * rica1 sin(q1) * rica2 * cos(q2) + cos(q1) * cos(pi / 0.2e1) * rica2 * sin(q2) + sin(q1) * rica1 -sin(pi / 0.2e1) * rica2 * sin(q2) + ricd1]';
    endeffector = [(cos(q1) * cos(q2) - sin(q1) * cos(pi / 0.2e1) * sin(q2)) * rica3 * cos(q3) + (-cos(q1) * sin(q2) - sin(q1) * cos(pi / 0.2e1) * cos(q2)) * rica3 * sin(q3) + cos(q1) * rica2 * cos(q2) - sin(q1) * cos(pi / 0.2e1) * rica2 * sin(q2) + cos(q1) * rica1 (sin(q1) * cos(q2) + cos(q1) * cos(pi / 0.2e1) * sin(q2)) * rica3 * cos(q3) + (-sin(q1) * sin(q2) + cos(q1) * cos(pi / 0.2e1) * cos(q2)) * rica3 * sin(q3) + sin(q1) * rica2 * cos(q2) + cos(q1) * cos(pi / 0.2e1) * rica2 * sin(q2) + sin(q1) * rica1 -sin(pi / 0.2e1) * sin(q2) * rica3 * cos(q3) - sin(pi / 0.2e1) * cos(q2) * rica3 * sin(q3) - sin(pi / 0.2e1) * rica2 * sin(q2) + ricd1]';
    
        
    xdata = [0, om(1), o1(1), o2(1), endeffector(1)];
    ydata = [0, om(2), o1(2), o2(2), endeffector(2)];
    zdata = [0, om(3), o1(3), o2(3), endeffector(3)];
    hlink = line(xdata,ydata,zdata);
    set(hlink, 'Color', [0, 0, 0], 'LineWidth', 2);
    
    axis([-800 800 -800 800 -200 1000]);    
    for k = 2:size(qq,1)
        pause(0.1);
        q1 = qq(k,1);
        q2 = qq(k,2);
        q3 = qq(k,3);
        om = [0 0 ricd1]';
        o1 = [cos(q1) * rica1 sin(q1) * rica1 ricd1]';
        o2 = [cos(q1) * rica2 * cos(q2) - sin(q1) * cos(pi / 0.2e1) * rica2 * sin(q2) + cos(q1) * rica1 sin(q1) * rica2 * cos(q2) + cos(q1) * cos(pi / 0.2e1) * rica2 * sin(q2) + sin(q1) * rica1 -sin(pi / 0.2e1) * rica2 * sin(q2) + ricd1]';
        endeffector = [(cos(q1) * cos(q2) - sin(q1) * cos(pi / 0.2e1) * sin(q2)) * rica3 * cos(q3) + (-cos(q1) * sin(q2) - sin(q1) * cos(pi / 0.2e1) * cos(q2)) * rica3 * sin(q3) + cos(q1) * rica2 * cos(q2) - sin(q1) * cos(pi / 0.2e1) * rica2 * sin(q2) + cos(q1) * rica1 (sin(q1) * cos(q2) + cos(q1) * cos(pi / 0.2e1) * sin(q2)) * rica3 * cos(q3) + (-sin(q1) * sin(q2) + cos(q1) * cos(pi / 0.2e1) * cos(q2)) * rica3 * sin(q3) + sin(q1) * rica2 * cos(q2) + cos(q1) * cos(pi / 0.2e1) * rica2 * sin(q2) + sin(q1) * rica1 -sin(pi / 0.2e1) * sin(q2) * rica3 * cos(q3) - sin(pi / 0.2e1) * cos(q2) * rica3 * sin(q3) - sin(pi / 0.2e1) * rica2 * sin(q2) + ricd1]';
        
        xdata = [0, om(1), o1(1), o2(1), endeffector(1)];
        ydata = [0, om(2), o1(2), o2(2), endeffector(2)];
        zdata = [0, om(3), o1(3), o2(3), endeffector(3)];
        
        set(hlink, 'xdata', xdata, 'ydata', ydata, 'zdata', zdata);
        drawnow
    end
    end

    
    
end


