
function status = store_control_feedback(tt,x,flag)
    if strcmp(flag, 'init')
        return;
    end
    
    global control_feedback_nominal control_feedback_deviation
    for i = 1:length(tt)
        t = tt(i);
        y = ChangeVariables1(x(:,i));
        %th = invphi3(x(3,i));
        th = invphi1(x(1));
        %th = x(1,i);    
        v = fct_tl_control1(th, y);
        [u,U] = feedbacktransformation(x(:,i), v, th);
        control_feedback_nominal = [control_feedback_nominal,[t;U]];    
        control_feedback_deviation = [control_feedback_deviation,[t;v]];            
    end
    status = 0;
end
