function [q, qp, qpp] = pathfunction(s)

global point_list deltaPositions number_of_points type

points = point_list + deltaPositions;

pp = interp1((0:(number_of_points-1))/(number_of_points-1), points,type, 'pp');
dpp = ppderivative(pp);
ddpp = ppderivative(dpp);


q = ppval(pp, s);
qp = ppval(dpp, s);
qpp = ppval(ddpp, s);

q   = q';
qp  = qp';
qpp = qpp';