trans = @(dd, aa, th, al) ([cos(th), -sin(th)*cos(al), sin(th)*sin(al), aa*cos(th); sin(th), cos(th)*cos(al), -cos(th)*sin(al), aa*sin(th); 0, sin(al), cos(al), dd; 0, 0, 0, 1]);

%in povray and matlab y and z change place
trnslt = eye(4);
frame1 = @(q1, q2, q3)(trnslt*trans(4.5, 0, q1, pi/2));
frame2 = @(q1, q2, q3)(trnslt*trans(4.5, 0, q1, pi/2)*trans(0, 2.5, q2, 0));
frame3 = @(q1, q2, q3)(trnslt*trans(4.5, 0, q1, pi/2)*trans(0, 2.5, q2, 0)*trans(0, 2, q3, 0));

% fig1 = figure(1); title('World space'); clf(fig1);
% winsize = get(fig1, 'Position');
% winsize(1:4) = [0 0 800 600];
% A = moviein(length(mot), fig1, winsize);
%for i=1:length(mot)
for i = 1:length(mot)
    q1 = mot(i, 1);
    q2 = mot(i, 2);
    q3 = mot(i, 3);
    a = [0; 0; 0; 1];
    c = frame1(q1,q2)*[0; 0; 0; 1];
    b = a + (c-a)/3;
    d = frame1(q1,q2)*[0; 0; 0.5; 1];
    e = frame1(q1,q2)*[0; 0; -0.5; 1];
    f = frame1(q1,q2)*[0; 0; -1; 1];
    g = frame2(q1,q2)*[0; 0; 0; 1];    
    h = frame2(q1,q2,q3)*[0; 0; -0.5; 1];
    j = frame2(q1,q2,q3)*[0; 0; 0.5; 1];
    k = frame2(q1,q2,q3)*[0; 0; 1; 1];
    l = frame3(q1,q2,q3)*[0; 0; 0; 1];
    
    
%     x = [a(1); c(1); g(1)];
%     y = [a(2); c(2); g(2)];
%     z = [a(3); c(3); g(3)];
%     
%     plot3(x,y,z);
%     
%     A(:,i) = getframe(fig1, winsize);    
    fid = fopen(sprintf('frames\\frame%i.pov',i), 'w');
    fprintf(fid, '#include "stash1.inc"\n');
    fprintf(fid, '#local a = <%6.2f, %6.2f, %6.2f>;\n', a(1), a(3), a(2));
    fprintf(fid, '#local b = <%6.2f, %6.2f, %6.2f>;\n', b(1), b(3), b(2));
    fprintf(fid, '#local c = <%6.2f, %6.2f, %6.2f>;\n', c(1), c(3), c(2));
    fprintf(fid, '#local d = <%6.2f, %6.2f, %6.2f>;\n', d(1), d(3), d(2));    
    fprintf(fid, '#local e = <%6.2f, %6.2f, %6.2f>;\n', e(1), e(3), e(2));    
    fprintf(fid, '#local f = <%6.2f, %6.2f, %6.2f>;\n', f(1), f(3), f(2));    
    fprintf(fid, '#local g = <%6.2f, %6.2f, %6.2f>;\n', g(1), g(3), g(2));    
    fprintf(fid, '#local h = <%6.2f, %6.2f, %6.2f>;\n', h(1), h(3), h(2));        
    fprintf(fid, '#local j = <%6.2f, %6.2f, %6.2f>;\n', j(1), j(3), j(2));    
    fprintf(fid, '#local k = <%6.2f, %6.2f, %6.2f>;\n', k(1), k(3), k(2));    
    fprintf(fid, '#local l = <%6.2f, %6.2f, %6.2f>;\n', l(1), l(3), l(2));        
    fprintf(fid, '#include "stash2.inc"\n');
    fclose(fid);
end