function time = objectivefunction(params)

% Variables for varyingpath
global f1m df1m ddf1m f2m df2m ddf2m

f1m   = params(1);
df1m  = params(2);
ddf1m = params(3);
f2m   = params(4);
df2m  = params(5);
ddf2m = params(6);


global invdynfun pathfun sgrid coulomb
global torquelb torqueub gamma1 gamma2 solver

% Fetch all path-dependent quantities.
[s, sm, ds, q, qp, qpp, Mv, Cv, gv] = dynpathparams(invdynfun, pathfun, sgrid, coulomb);
[a, b, c, d, tau, diagnostics] = timeoptpathconstrsed(s, sm, ds, q, qp, qpp, Mv, Cv, gv, torquelb, torqueub, gamma1(1), gamma2(1), 'sedumi');

% Obtain the time vector.
t = cumsum(2*ds./(sqrt(b(2:end))+sqrt(b(1:end-1))));
time = max(t);

end