#ifndef __FRAME_H__
#define __FRAME_H__

#include <iostream>

using namespace std;

#ifndef PI
#define PI 3.14159265
#endif

class Frame
{
 protected:
  float pos[3];
  float rot[3];  
 public:
  Frame();
  void setTransform(float posx, float posy, float posz, float rotx, float roty, float rotz);
  float getPosX() { return pos[0]; }
  float getPosY() { return pos[1]; }
  float getPosZ() { return pos[2]; }
  float getRotX() { return rot[0]; }
  float getRotY() { return rot[1]; }
  float getRotZ() { return rot[2]; }
  void drawCoordinateSystem();
  friend ostream& operator <<(ostream& strm, const Frame& frame) {
    strm << "Pos("<<frame.pos[0]<<", "<<frame.pos[1]<<", "<<frame.pos[2]<<
      ") Rot("<<frame.rot[0]<<", "<<frame.rot[1]<<", "<<frame.rot[2]<<")";
    return strm;
  }
};

#endif
