#include <math.h>
#include <cstdlib>
#include <string>
#include <MSL/vector.h>

#include <QApplication>

#include "window.h"
#include "glwidget.h"



int main(int argc, char *argv[]) {
  QApplication app(argc, argv);

  Window window;
  window.show();  

  string path = "data/doubletrouble";
  ModelIRB* model = new ModelIRBTwins(path);

  window.setModel(model, path);

  Environment* environment = new Environment(path+string("/Obst"));
  window.setEnvironment(environment);

  return app.exec();

  return 0;
}
