#ifndef __TREERENDERER_H__
#define __TREERENDERER_H__

#include <MSL/problem.h>
#include <MSL/tree.h>
#include <MSL/planner.h>

class TreeRenderer
{
 private:
  Planner *planner;
  Problem *problem;
 public:
  TreeRenderer(Planner *planner, Problem *problem) : planner(planner), problem(problem) {}
  void render();
  void renderBranch(MSLNode *parent);
};

#endif
