function geometry = generate_problem()
%     geometry.vertices = [[0.75,0.25]; [0.25,0.25]; [0.25,0.75]; [0.75,0.75]];
%     geometry.edges    = {[1,2], [2,3], [3,4]};
    
    geometry.vertices  = [
        0.10, 0.6;  % A
        0.10, 0.8;  % B
        0.30, 0.8;  % C
        0.30, 0.4;  % D
        0.25, 0.4;  % E
        0.25, 0.6;  % F
        0.80, 0.2;  % A
        0.80, 0.6;  % B
        0.40, 0.6;  % C
        0.40, 0.8;  % D
        0.90, 0.8;  % E
        0.90, 0.2;  % F
        0.10, 0.2;  % A
        0.10, 0.1;  % B
        0.60, 0.1;  % C
        0.60, 0.4;  % D
        0.50, 0.4;  % E
        0.50, 0.2;  % F
    ];

    geometry.edges = {
        [1,2],...
        [2,3],...
        [3,4],...
        [4,5],...
        [5,6],...
        [6,1],...
        [7,8],...
        [8,9],...
        [9,10],...
        [10,11],...
        [11,12],...
        [12,7],...
        [13,14],...
        [14,15],...
        [15,16],...
        [16,17],...
        [17,18],...
        [18,13]
    };
end