function bPath = shortcut(path, collision_fnc, geometry)
    for i = 1:4000
        t1 = rand();
        t2 = rand();
        
        temp = t1;
        t1 = min(t1,t2);
        t2 = max(temp, t2);
        
%         tm1 = size(path,1)*t1;
%         tm2 = size(path,1)*t2;
%         
%         flr1 = floor(tm1);
%         flr2 = floor(tm2);
%         
%         tm1 = tm1-flr1;
%         tm2 = tm2-flr2;
%         
        [flr1, tm1] = find_floor(path, t1);
        [flr2, tm2] = find_floor(path, t2);
        if flr1 > 1 && flr2 < size(path,1)
            p1 = path(flr1,:)*(1-tm1) + path(flr1+1,:)*tm1;
            p2 = path(flr2,:)*(1-tm2) + path(flr2+1,:)*tm2;            
            if collision_fnc(p1, p2, geometry)
                path = [path(1:flr1,:); p1; path((flr1+1):flr2,:); p2; path((flr2+1):end,:)];
                diff = flr2 - flr1;
                for i = 1:(diff-1)
                    path(flr1+2, :) = [];
                end
            end
        end            
        
	end
	bPath = path;
end

function [flr, tm] = find_floor(path, t)
    % calculate length
    length = 0;
    for i = 1:size(path, 1)
        length = length + norm(path(i,:));
    end
    
    T = length * t;
    
    sum = 0;
    for i = 1:size(path, 1)
        flr = i;
        sum = sum + norm(path(i,:));
        if sum > T
            break
        end
    end
    
    tm = T - (sum-norm(path(flr,:)));
end