function x = ChangeVariablesBack1(y,th)

    %t = get_time(th);

    I = y(1,:);
    y1 = y(2,:);
    y2 = y(3,:);
    Dy1 = y(4,:);
    Dy2 = y(5,:);
    
    Dth = sqrt(abs(I+DTheta(th).^2));
    
    q1 = phi1(th);
    q2 = phi2(th) + y1;
    q3 = phi3(th) + y2;
    
    Dq1 = dphi1(th).*Dth;
    Dq2 = dphi2(th).*Dth + Dy1;
    Dq3 = dphi3(th).*Dth + Dy2;
    
    x = [q1;q2;q3;Dq1;Dq2;Dq3];
end