function mat = Coriolis_without_load(q, Dq)
q1 = q(1);
q2 = q(2);
q3 = q(3);

Dq1 = Dq(1);
Dq2 = Dq(2);
Dq3 = Dq(3);

global a d g gravity m1 m2 m3 m load c1x c2x c2y c3z 
global l r1 r2 r3 h1 h2 h3 xx1 xx2 xx3 yy1 yy2 yy3 zz1 zz2 zz3
global Iota xxl yyl zzl x y z Kd1 Kd2 Kd3 Kp1 Kp2 Kp3

mat = [m(3) * (0.2e1 * cos(q3) * (-(l(c3z) ^ 2 + Iota(xx3) - Iota(zz3)) * (Dq3 + Dq2) * sin(q3) + a(2) * (Dq2 + Dq3 / 0.2e1) * l(c3z)) * cos(q2) ^ 2 + (-0.2e1 * sin(q2) * (l(c3z) ^ 2 + Iota(xx3) - Iota(zz3)) * (Dq3 + Dq2) * cos(q3) ^ 2 + (-0.2e1 * a(2) * (Dq2 + Dq3 / 0.2e1) * l(c3z) * sin(q3) + (-Iota(zz3) + Iota(xx3) + a(2) ^ 2 + l(c3z) ^ 2) * Dq2 + Dq3 * (l(c3z) ^ 2 + Iota(xx3) - Iota(zz3))) * sin(q2) + a(1) * (-l(c3z) * (Dq3 + Dq2) * sin(q3) + Dq2 * a(2))) * cos(q2) - (l(c3z) * sin(q2) * a(1) + (-Iota(xx3) - l(c3z) ^ 2 + Iota(zz3)) * sin(q3) + l(c3z) * a(2)) * cos(q3) * (Dq3 + Dq2)) m(3) * (0.2e1 * ((-Iota(xx3) - l(c3z) ^ 2 + Iota(zz3)) * sin(q3) + l(c3z) * a(2)) * cos(q3) * cos(q2) ^ 2 + (-0.2e1 * sin(q2) * (l(c3z) ^ 2 + Iota(xx3) - Iota(zz3)) * cos(q3) ^ 2 + (-Iota(zz3) + l(c3z) ^ 2 + a(2) ^ 2 - 0.2e1 * l(c3z) * a(2) * sin(q3) + Iota(xx3)) * sin(q2) + a(1) * (a(2) - l(c3z) * sin(q3))) * cos(q2) - (l(c3z) * sin(q2) * a(1) + (-Iota(xx3) - l(c3z) ^ 2 + Iota(zz3)) * sin(q3) + l(c3z) * a(2)) * cos(q3)) * Dq1 -m(3) * Dq1 * (-((-0.2e1 * l(c3z) ^ 2 - 0.2e1 * Iota(xx3) + 0.2e1 * Iota(zz3)) * sin(q3) + l(c3z) * a(2)) * cos(q3) * cos(q2) ^ 2 + (0.2e1 * sin(q2) * (l(c3z) ^ 2 + Iota(xx3) - Iota(zz3)) * cos(q3) ^ 2 + (-Iota(xx3) - l(c3z) ^ 2 + l(c3z) * a(2) * sin(q3) + Iota(zz3)) * sin(q2) + l(c3z) * sin(q3) * a(1)) * cos(q2) + (l(c3z) * sin(q2) * a(1) + (-Iota(xx3) - l(c3z) ^ 2 + Iota(zz3)) * sin(q3) + l(c3z) * a(2)) * cos(q3)); -m(3) * (0.2e1 * ((-Iota(xx3) - l(c3z) ^ 2 + Iota(zz3)) * sin(q3) + l(c3z) * a(2)) * cos(q3) * cos(q2) ^ 2 + (-0.2e1 * sin(q2) * (l(c3z) ^ 2 + Iota(xx3) - Iota(zz3)) * cos(q3) ^ 2 + (-Iota(zz3) + l(c3z) ^ 2 + a(2) ^ 2 - 0.2e1 * l(c3z) * a(2) * sin(q3) + Iota(xx3)) * sin(q2) + a(1) * (a(2) - l(c3z) * sin(q3))) * cos(q2) - (l(c3z) * sin(q2) * a(1) + (-Iota(xx3) - l(c3z) ^ 2 + Iota(zz3)) * sin(q3) + l(c3z) * a(2)) * cos(q3)) * Dq1 -m(3) * l(c3z) * a(2) * cos(q3) * Dq3 -m(3) * l(c3z) * a(2) * cos(q3) * (Dq3 + Dq2); m(3) * Dq1 * (-((-0.2e1 * l(c3z) ^ 2 - 0.2e1 * Iota(xx3) + 0.2e1 * Iota(zz3)) * sin(q3) + l(c3z) * a(2)) * cos(q3) * cos(q2) ^ 2 + (0.2e1 * sin(q2) * (l(c3z) ^ 2 + Iota(xx3) - Iota(zz3)) * cos(q3) ^ 2 + (-Iota(xx3) - l(c3z) ^ 2 + l(c3z) * a(2) * sin(q3) + Iota(zz3)) * sin(q2) + l(c3z) * sin(q3) * a(1)) * cos(q2) + (l(c3z) * sin(q2) * a(1) + (-Iota(xx3) - l(c3z) ^ 2 + Iota(zz3)) * sin(q3) + l(c3z) * a(2)) * cos(q3)) m(3) * l(c3z) * a(2) * cos(q3) * Dq2 0;];
end
