function mat = Gravity_without_load(q)
q1 = q(1);
q2 = q(2);
q3 = q(3);

global a d g gravity m1 m2 m3 m load c1x c2x c2y c3z 
global l r1 r2 r3 h1 h2 h3 xx1 xx2 xx3 yy1 yy2 yy3 zz1 zz2 zz3
global Iota xxl yyl zzl x y z Kd1 Kd2 Kd3 Kp1 Kp2 Kp3

mat = [0 -(sin(q2) * l(c2x) + cos(q2) * l(c2y) - a(2) * sin(q2)) * m(2) * gravity - (l(c3z) * (sin(q2) * sin(q3) - cos(q2) * cos(q3)) - a(2) * sin(q2)) * m(3) * gravity -l(c3z) * (sin(q2) * sin(q3) - cos(q2) * cos(q3)) * m(3) * gravity]';
end
