function Dx = fct_without_load_sys(x,u)
q = x(1:3);
Dq = x(4:6);

M = Mass_without_load(q);
C = Coriolis_without_load(q,Dq);
G = Gravity_without_load(q);


DDq = -M\C*Dq - M\G + M\u;

Dx = [Dq;DDq];

end