#ifndef __CAMERA_H__
#define __CAMERA_H__

#include <MSL/vector.h>
#include "quaternion.h"

class Camera {
 private:
  MSLVector pos;
  MSLVector forward;
  MSLVector view;
  MSLVector up;
  Quaternion rotation;
  float pan, tilt;
  void applyRotation();
 public:
  Camera();
  void move(float d);
  void Yaw(float yaw);
  void Tilt(float tilt);
  void use();
  void setPosition(float x, float y, float z) {
    pos[0] = x; pos[1] = y; pos[2] = z;
  }
};

#endif
