#include "bmpwriter.h"

void setfileheader(BMFH& fileheader)
{ 
  fileheader.bfType = 19778;
  fileheader.bfSize = 108;
  fileheader.bfReserved1 = 0;
  fileheader.bfReserved2 = 0;
  fileheader.bfOffBits = 1078;

}

void setinfoheader(BMIH& infoheader)
{ 

  infoheader.biSize = sizeof(infoheader);
  infoheader.biWidth = 128;
  infoheader.biHeight = 128;
  infoheader.biPlanes = 1;
  infoheader.biBitCount = 24;
  infoheader.biCompression = 0;
  infoheader.biSizeImage = 0;
  infoheader.biXPelsPerMeter = 0;
  infoheader.biYPelsPerMeter = 0;
  infoheader.biClrUsed = 0;
  infoheader.biClrImportant = 0;

}

void bmpWrite(char *data, int width, int height, string filename)
{
  ifstream::pos_type size; 
  BMFH fileheader; 
  BMIH infoheader;

  setfileheader(fileheader); 
  setinfoheader(infoheader);

  ofstream myfile (filename.c_str(),ios::out | ios::binary); 

  //myfile.write ((char*) &fileheader,sizeof(fileheader)); //write header
  //myfile.write ((char*) &infoheader,sizeof(infoheader)); //write header
  myfile.write ((char*) &fileheader,14); //write header
  myfile.write ((char*) &infoheader,40); //write header
  myfile.write ((char*) data,sizeof(pixel)*128*128);
  myfile.close();

}
