#ifndef __BMPWRITER_H__
#define __BMPWRITER_H__

#include <iostream>
#include <fstream>

// Copied from http://www.computing.net/answers/programming/writing-a-bmp-in-c-manually/14840.html

using namespace std;

struct BMFH { 
  unsigned short bfType; 
  unsigned long bfSize;
  unsigned short bfReserved1;
  unsigned short bfReserved2;
  unsigned long bfOffBits;
};

struct BMIH { 
  unsigned long biSize;
  unsigned long biWidth;
  unsigned long biHeight;
  unsigned short biPlanes;
  unsigned short biBitCount;
  unsigned long biCompression;
  unsigned long biSizeImage;
  unsigned long biXPelsPerMeter;
  unsigned long biYPelsPerMeter;
  unsigned long biClrUsed;
  unsigned long biClrImportant;
};

struct RGBQUAD{
  int rgbBlue;
  int rgbGreen;
  int rgbRed;
  int rgbReserved;
};

struct pixel { 
  char R;
  char G;
  char B;
};

void setfileheader(BMFH& fileheader);
void setinfoheader(BMIH& infoheader);
void bmpWrite(char *data, int width, int height, string filename);

#endif
