#ifndef _GEOMIRB_H
#define _GEOMIRB_H

#include <MSL/geomPQP.h>

#define MAXBODIES 100

class GeomIRB_DistanceResult
{
 public:
  double distance[6];
  GeomIRB_DistanceResult()
    {
      for (int i=0; i<6; i++) {
	distance[i] = INFINITY;
      }
    }
};

class GeomIRB : public GeomPQP3DRigidMulti {
 public:
  GeomIRB(string path);  
  GeomIRB_DistanceResult DistanceCompute(const MSLVector &q);
};


#endif



